GET /nodes/{node_id}/contributors/{user_id}/

osf.io

Summary: Retrieve a contributor
Operation ID: nodes_contributors_read
Auth: unknown
Description

Retrieves the details of a given contributor. Contributors are users who can make changes to the node or, in the case of private nodes, have read access to the node. Contributors are categorized as either "bibliographic" or "non-bibliographic". From a permissions standpoint, both are the same, but bibliographic contributors are included in citations and are listed on the project overview page on the OSF, while non-bibliographic contributors are not. #### Returns Returns a JSON object with a `data` key containing the representation of the requested contributor, if the request is successful. If the request is unsuccessful, an `errors` key containing information about the failure will be returned. Refer to the [list of error codes](#tag/Errors-and-Error-Codes) to understand why this request may have failed.

Parameters (2)

node_id (string, path, required)

The unique identifier of the node.

user_id (string, path, required)

The unique identifier of the user.

No probe data for this endpoint yet.